AutoCAD .NET :: Return Function With Multiple Objects

Apr 28, 2011

I would like to return multiple objects from a function. can it be done? and how?

function DrawLines()as object
objline1 as new line
objline2 as new line
[..]
return 'objects'

[code]....

View 2 Replies


ADVERTISEMENT

AutoCAD Inventor :: Function To Return Two Objects Colliding Using Contact Sets

Sep 3, 2009

I would like to find a function that returns the two objects colliding using contact sets. I'm not sure this functionality is available in the API.

View 1 Replies View Related

AutoCAD .NET :: Build LISP Function To Return Selection Set?

Aug 29, 2011

Is there any way to build a LISP function in .Net to return a selection set? 

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Return To Calling Function After Trapping Error In Subroutine

Mar 13, 2012

I've got a subroutine that gets the centroid of a closed polygon (lwpoly).  It appears to fail if the polygon has any zero length line segments.  I've added a trap that catches the error and "highlights" the offending polygon, but it stops there and does not return to the main function that called the subroutine.  Is there a way to get back to the main function from the trap?

Here's the subroutine (original function by _gile (Autodesk LISP Forum 9-18-2006):

(defun return-centroid (lwpoly space / obj Region Centroid)
(setq *error* trap1)
(setq obj (vlax-ename->vla-object lwpoly))
(setq Region (vlax-invoke space 'addRegion (list obj)))
(setq Centroid (trans (vlax-get (car Region) 'Centroid) 1 0))
(vla-delete (car Region))

[code]....

View 2 Replies View Related

AutoCad :: Convert Multiple Single Text Objects Into Multiple Mtext Objects

Jul 3, 2013

I have long used the following lisp to convert multiple single text objects into multiple mtext objects (i.e. make each text entity into separate mtext entities).

; T2M - convert individual Texts/Dtexts to individual MTexts
; modified by Xanadu - www.xanadu.cz
;
(defun C:T2M (/ ss i elist)

[Code]....

However, the mtext entity always moves position slightly (compared to the original text entity) after converting the object. better lisp that converts multiple text entities into mtext entities (which are all separate still, i.e. not joined together) without the position of the entity changing?

View 4 Replies View Related

AutoCAD .NET :: Scale Objects On Screen Within Function

Oct 7, 2010

I have a function that uses AcadApplication.ActiveDocument.SendCommand to allow the user to scale the inserted lines and text before the next step of the process, but AutoCAD does not display the scale prompt until after the entire program finishes.  The prompt works well, but needs to be displayed before I end the sub.

How do I get the command to be sent immediately?  Is there another way to allow users to scale the items I insert?  The screen needs to be refreshed before the scale command is called, so that the lines and text I just added shows up.  I have attached the code for the Send Command call and for the function that calls it.  

View 5 Replies View Related

AutoCAD 2010 :: How Annotative Objects Function Through Xrefs

Nov 5, 2012

how annotative objects function through xrefs and am running into some trouble.I created a brand new drawing, made an annotative symbol and 2 peices of annotative text, all three have 1"=20' and 1"=40' assigned to them. I can switch my scale back and forth and the objects act as they should.

If creat a second drawing and xref the first one, the only way I can see these xref'd objects is if I set ANNOALLVISIBLE to "1" or if I select one of their xref scales as the current scale 1"=20'_Xref or 1"=40'_Xref.

My goal is to be able to have plans that are annotative that can be xref'd into another annotative drawing and have the objects in both that are the same scale show up.

View 1 Replies View Related

AutoCAD LT :: Loss Of Tool Function For Selected Objects

Jan 8, 2014

I am using AutoCAD LT 2011. I have had an unexpected loss of functions that is not restored by a system restart.

When I select objects, I can't get any of the tools to work on the preselected object ( The tools all work if I select the tool first and then select object to apply it to). And I can't change properties such as layer & color of a preselected object.

Also I can't delete a selected object with the keyboard delete key, and I can't bring up the MultiLine text editor with the usual double click of a text object.

It doesn't sound like a simple command reset as there is too many things involved. Can't find anything on options and drafting settings that is relevant. So it sounds like it might be a total reload of LT?

View 2 Replies View Related

AutoCAD Print / Plot :: Multiple Viewports Multiple Objects

Sep 27, 2013

I have one layout. On that layout I want to have 2 viewports. I also have ssay block A and block B I want to insert.I would like Viewport1 to display block A and viewport 2 to display block B.

What happens to me is when I created Viewport 1 and inserted block A. I go on to create viewport 2. But viewport 2 displays only block A, which I cannon delete to insert block B.

View 1 Replies View Related

AutoCAD 2010 :: Using Database Function To Report Objects Within A Drawing

Jan 1, 2012

My master drawing includes things like network information, drops, V-lans  and bandwidths,

I want to use a database to count various objects/blocks in a drawing. Ideally I want to write a macro button that enables me to export the information in the drawing straight into a database.

View 3 Replies View Related

AutoCad 2D :: Insert Multiple Block (like Points) Using Excel Concatenate Function?

Nov 27, 2013

So i have a simple block of basically a point. i also have alot of points to input. I know i can attribute the block with promts such as levels or dates etc.. but is there a way to make the block do this by itself when level is already entered? also is there a way to insert multiple block (like the points) using excel concatenate function? or can i input the points and have date and level shown in a text form?

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Upgrade Function To Grab Multiple Blocks?

Jan 23, 2012

I was able to find/update a LISP program that returns the dynamic block to its original state, overriding the anonymous name and make the actual block name the effective name. I am in the process of manipulating the LISP program so I can select multiple blocks rather than one at a time.

(defun CYMEFFEC ()(vl-load-com) (setq obj (vlax-ename->vla-object (car (entsel "Select blocks: ")))) (vlax-put obj 'Name (vlax-get obj 'Effectivename)))

View 3 Replies View Related

Photoshop :: Plugin / Action To Separate Multiple Objects On Single Layer Into Multiple Layers

Jun 24, 2013

Imagine a layer containing 10 squares, each square is isolated (none are touching). I need a quick way to put each of those squares on its own layer. Is there something already built in, or any plugin or action?

View 12 Replies View Related

Xara :: Function To Align A Group Of Objects Along A Curve

Dec 22, 2013

Have I missed function to align a group of objects along a curve, like text along a curve, or there is not such function?

View 2 Replies View Related

Illustrator :: Outlined Fonts Are Showing Up As Unpainted Objects In Cleanup Function

May 21, 2012

some of my outlined fonts are showing up as "unpainted objects" in the cleanup function, yet when i click on them individually they show that they have a fill color. There have been other occasions where i had an outlined font which "looked" like it had a fill color, yet when i clicked on one of the letters it showed both the fill and stroke as having none.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: No Function Definition With Distance Function

Oct 25, 2013

This seems absolutly silly.

(setq p1 (getpoint))
(setq p2 (getpoint))

(setq Dist (distance p1 p2))

Why does this not work?

I'm trying to build a command to replace AutoCAD's "DI" command, to give distance and delta x, y, and z values in decimal and imperial, and keep the angles in XY plane and out of XY plane.

View 9 Replies View Related

AutoCad 3D :: How To Extrude Multiple Objects

Dec 7, 2011

In Auto CAD 2007, if I want to extrude multiple objects, I can give reference length by pointing start and end(the obeject will extrude with positive value), but in 2012 I can’t use reference length. Sub-command “Direction” can use z-axis length only. How can I use like 2007?

View 7 Replies View Related

AutoCad :: Join Multiple Objects?

Mar 30, 2012

JOIN command has the option selection and merging several objects at once, but I can not join more then one line.

View 7 Replies View Related

AutoCAD 2010 :: Exporting STL With Multiple Objects

Aug 5, 2013

I am exporting a design for 3D printing, and it includes multiple objects. If I save each part as a separate STL file, and assemble them in my 3D printer software (Object), the alignment of different parts is lost.

If I save it as a single STL file all the objects are grouped, and I cannot select them individually to assign them different properties.

I am using Autocad 2012 student version, and it does not allow me to select any option at the moment of exporting the files.

View 2 Replies View Related

AutoCAD LT :: Unable To Select Multiple Objects?

Aug 22, 2005

I've been having trouble selecting more than one object with the pointer. the program was just reloaded on the computer, but this problem has happened multiple times now. everything will work fine for a while, then suddenly, when trying to select objects during a command, i can only select one. (ex. trying to copy multiple lines, i can only select one to copy at a time).

View 9 Replies View Related

AutoCAD 2013 :: Select Multiple Objects

Sep 10, 2013

I have a lot of polylines that are all over a drawing from an outside source. Unfortunately the only unique properties about them are:

AREA = .14 sq in
PERIMETER = 1-11/32"

Everything is on the same layer, color by layer and are at the same elevation.

Any way to select just these closed polylnes? I tried quickselect but the AREA option did not work (it wouldn't except just the .14 value), and there is no apparent PERIMETER value to select.

View 3 Replies View Related

AutoCAD Civil 3D :: Can't Publish Multiple DWG Containing Objects To PDF

Mar 29, 2012

the issue is when i try to publish multiple dwg files which containing civil 3d objects including data ref to pdf it won't do it other whatever drawing is currently open.i kinda can see why. because the data ref reading is not programmed in when "invisibly" opening the cad files. xref are autocad native and it works.

so no warnings or anything. just publish the first one and told me it's done. i've seen this years ago when first started using civil 3d but then i just never complained here.

is there a solution for this? what i did before was obviously open each drawing. then publish, huge waste of time. making me hate my job because of repetative tasks. i almost always try to automate.

yesterday made a program to make one surface for each csv file there was hundres of them and basically 2 hour programming and 1 minute to process the files once got the program working.can read subfolders to find csv file too.

Civil 3D 2012
Work: Xeon W3503, 12GB, Quadro 2000, Dell P2211H x 2
Home: 3930k, 12GB, GTX 590, U3011, QX2710

View 1 Replies View Related

AutoCAD Inventor :: How To Copy Multiple Objects

Jan 23, 2013

Is there a way to allow Inventor 2013 to copy multiple objects when executing the 'copy' command ? Similar to in AutoCAD where you can continue to copy objects in multiple instances instead of it terminated after a single copy ?

Autodesk Inventor Professional 2013 SP2 64-Bit Edition
Windows 7 HP Z400, Intel Xeon W3550 3.07GHz
12.0GB RAM, ATI FirePro V4800 (FireGL)

View 5 Replies View Related

AutoCad :: Selecting Objects In Multiple Layers

Aug 15, 2012

I'm using QSELECT to select all objects on a layer, sometimes I need to select objects from 5-7 layers.

Right now I use QSELECT, select 1 layer, click OK, open QSELECT again, select another layer and repeat. Is there a faster way to do this without scripts?

I'm sure some of you do site drawings, how do you measure a curve? Some restaurants or cafes have a rounded serving counter, how you measure the radius to plot into autocad?

View 9 Replies View Related

AutoCAD LT :: Aligning Multiple Objects Along Same Axis

Aug 17, 2011

Is there a way to align multiple objects along the same axis as the further most object?  As an example, to have the right side of three boxes line up with the right side of the box furthest to the right.

View 9 Replies View Related

AutoCad 2D :: Align Multiple Objects To Line?

Jun 7, 2011

Any good script that allows you to align multiple objects to a line? I've found the ALIGNIT.lsp, but it's not working in Autocad 2012.

It's like this:

I have a horizontal line. Above it, there are +200 objects. They are aligned in the right rotation already, but I just want to move all the objects lower line to my horizontal line.

View 6 Replies View Related

AutoCad 2D :: Aligning Multiple Text Objects

Oct 2, 2012

If you can use the ALIGN command to align multiple text objects in the Y-Axis? (or X-Axis as well)

I know about changing the X value of a bunch of text objects to align them that way. I'm just wondering if the ALIGN command will allow you to do something similar?

I want to do this without lisp too. If there are other methods I'm always wanting to learn! I just had a new cad user ask me about the ALIGN command and I couldn't get it to do it.

View 3 Replies View Related

AutoCAD 2013 :: Breaking Multiple Objects At Once?

Feb 28, 2013

Is there a way I can break multiple ojects at once? For example, I have a row of consecutive circles (shrubs on a landscape plan) that overlap. I would like to elminate just the overlapping portions.

View 2 Replies View Related

AutoCAD Inventor :: Passing A Function Name To Another Function

Nov 13, 2012

I'm trying to be able to have a function run another function with the secondary function being passed as an argument to the first. I'm trying to create a recursive function and the recursive part works great. I just need to be able to have the recursive function run other functions to actually do stuff.

Here is something I found that should do what I need, mainly run a function from a function name in a variable.
 
Sub test() Dim ftnName As String Dim argument As String Dim result As String ftnName = "myFunction" argument = "cat" result = Application.Run(ftnName, argument) MsgBox resultEnd SubFunction myFunction(inString As String) As String myFunction = inString & " has " & Len(inString) & " letters."End Function

 However I get the error "object required" on the "result = Application.Run(ftnName, argument)" line. So I'm guessing the Inventor VBA doesn't like this method of doing this. I'm just hoping there is a way to do this or this function will be useless or reduced to hardcoding functions which still defeats the purpose.

View 2 Replies View Related

AutoCAD LT :: Highlighting Multiple Objects In Model Space

Sep 11, 2012

I have always been able to highlight separate objects in model space, and now i can only do one at at time???  I click on the second object, and the first one stops being highlighted.

I don't know if somehow i changed a setting on accident, but i don't know how to get it back to be able to do multiple separately.

View 3 Replies View Related

AutoCAD 2010 :: Base View In Multiple 3D Objects

Sep 11, 2013

I have this problem with my drawing. before I decided to post here, I first ask mr. google about the problem but to no avail. anyway, here's my problem:

I have this drawing. 3d object. with multiple items. and would like to create a 2d detailed view of the items.

what i did  was isolate the first item and did the base view command. after the command, I then hid the first item and isolate again the second item. but then I always get this pop-up menu that says "A model has changed" and my item is missing. I ignored the warning and poceeded with my second model and so, on. after the process I unisolated all my items and most of the drawings are there and some are lost. Is there a proper way of doing this base view for multiple objects without disrupting the previous drawing that I objects?

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved